Package org.apache.qpid.proton.amqp.messaging

# Class Data

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Data

All Implemented Interfaces:
  `Section`

public final class Data extends Object implements Section

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.messaging.Section

`Section.SectionType`

## Constructor Summary

Constructors
Constructor
Description
`Data(Binary value)`

## Method Summary

Modifier and Type
Method
Description
`Section.SectionType`
`getType()`
`Binary`
`getValue()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Data

public Data(Binary value)

## Method Details

### getValue

public Binary getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public Section.SectionType getType()

Specified by:
  `getType` in interface `Section`
Returns:
  the `Section.SectionType` that describes this instance.